Page MenuHomePhabricator

Continue webpack + test transition of mobile.startup (pt 2)
Closed, ResolvedPublic5 Story Points

Description

Continue the migration of mobile.startup to webpack.

Acceptance criteria

  • time built via webpack
  • context built via webpack
  • user built via webpack
  • PageGateway built via webpack

Note: Adding additional test coverage is out of scope and will be added separately.

Sign off steps

Event Timeline

Jdlrobson triaged this task as High priority.Sep 7 2018, 5:04 PM
Jdlrobson created this task.
phuedx added a subscriber: phuedx.Sep 11 2018, 4:45 PM

Will this change make it even easier to extract the time module to a library that can be used by other teams.

pmiazga set the point value for this task to 5.Sep 11 2018, 4:47 PM

@ovasileva we should pull this into the sprint as soon as possible. IMO it's ready to be worked on (Nick's patch is far enough along).

Change 461448 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Time is built via webpack

https://gerrit.wikimedia.org/r/461448

Change 461453 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] context.js is built via webpack

https://gerrit.wikimedia.org/r/461453

Change 461454 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Port user to webpack

https://gerrit.wikimedia.org/r/461454

Change 461448 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Time is built via webpack

https://gerrit.wikimedia.org/r/461448

Change 461453 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] context.js is built via webpack

https://gerrit.wikimedia.org/r/461453

Change 461454 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Port user to webpack

https://gerrit.wikimedia.org/r/461454

Change 461472 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Porting PageGateway to webpack

https://gerrit.wikimedia.org/r/461472

Change 461472 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Porting PageGateway to webpack

https://gerrit.wikimedia.org/r/461472

phuedx removed a subscriber: phuedx.Sep 21 2018, 8:53 AM
ovasileva renamed this task from Continue webpack + test transition of mobile.startup to Continue webpack + test transition of mobile.startup (pt 2).Sep 24 2018, 5:18 PM
Jdlrobson removed Jdlrobson as the assignee of this task.Sep 24 2018, 6:36 PM

I will need somebody to sign this off for me, since I did this!

Jdlrobson updated the task description. (Show Details)Sep 24 2018, 6:41 PM
Jdrewniak closed this task as Resolved.Sep 26 2018, 11:57 AM
Jdrewniak updated the task description. (Show Details)